DROP TABLE IF EXISTS wbb1_1_board;
CREATE TABLE wbb1_1_board (
	boardID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	parentID INT(10) NOT NULL DEFAULT 0,
	title VARCHAR(255) NOT NULL DEFAULT '',
	description MEDIUMTEXT,
	allowDescriptionHtml TINYINT(1) NOT NULL DEFAULT 0,
	boardType TINYINT(1) NOT NULL DEFAULT 0,
	image VARCHAR(255) NOT NULL DEFAULT '',
	imageNew VARCHAR(255) NOT NULL DEFAULT '',
	imageShowAsBackground TINYINT(1) NOT NULL DEFAULT 1,
	imageBackgroundRepeat ENUM('no-repeat', 'repeat-y', 'repeat-x', 'repeat') NOT NULL DEFAULT 'no-repeat',
	externalURL VARCHAR(255) NOT NULL DEFAULT '',
	time INT(10) NOT NULL DEFAULT 0,
	prefixes MEDIUMTEXT,
	prefixRequired TINYINT(1) NOT NULL DEFAULT 0,
	prefixMode TINYINT(1) NOT NULL DEFAULT 0,
	styleID INT(10) NOT NULL DEFAULT 0,
	enforceStyle TINYINT(1) NOT NULL DEFAULT 0,
	daysPrune SMALLINT(5) NOT NULL DEFAULT 0,
	sortField VARCHAR(20) NOT NULL DEFAULT '',
	sortOrder VARCHAR(4) NOT NULL DEFAULT '',
	postSortOrder VARCHAR(4) NOT NULL DEFAULT '',
	isClosed TINYINT(1) NOT NULL DEFAULT 0,
	countUserPosts TINYINT(1) NOT NULL DEFAULT 1,
	isInvisible TINYINT(1) NOT NULL DEFAULT 0,
	showSubBoards TINYINT(1) NOT NULL DEFAULT 1,
	clicks INT(10) NOT NULL DEFAULT 0,
	threads INT(10) NOT NULL DEFAULT 0,
	posts INT(10) NOT NULL DEFAULT 0,
	enableRating TINYINT(1) NOT NULL DEFAULT -1,
	threadsPerPage SMALLINT(5) NOT NULL DEFAULT 0,
	postsPerPage SMALLINT(5) NOT NULL DEFAULT 0,
	searchable TINYINT(1) NOT NULL DEFAULT 1,
	searchableForSimilarThreads TINYINT(1) NOT NULL DEFAULT 1,
	ignorable TINYINT(1) NOT NULL DEFAULT 1,
	enableMarkingAsDone TINYINT(1) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wbb1_1_board_closed_category_to_admin;
CREATE TABLE wbb1_1_board_closed_category_to_admin (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, boardID),
	KEY (boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wbb1_1_board_closed_category_to_user;
CREATE TABLE wbb1_1_board_closed_category_to_user (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	isClosed TINYINT(1) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, boardID),
	KEY (boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wbb1_1_board_ignored_by_user;
CREATE TABLE wbb1_1_board_ignored_by_user (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, boardID),
	KEY (boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wbb1_1_board_last_post;
CREATE TABLE wbb1_1_board_last_post (
	boardID INT(10) NOT NULL DEFAULT 0,
	languageID INT(10) NOT NULL DEFAULT 0,
	threadID INT(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (boardID, languageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_moderator;
CREATE TABLE wbb1_1_board_moderator (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	groupID INT(10) NOT NULL DEFAULT 0,
	canDeleteThread TINYINT(1) NOT NULL DEFAULT -1,
	canReadDeletedThread TINYINT(1) NOT NULL DEFAULT -1,
	canDeleteThreadCompletely TINYINT(1) NOT NULL DEFAULT -1,
	canCloseThread TINYINT(1) NOT NULL DEFAULT -1,
	canEnableThread TINYINT(1) NOT NULL DEFAULT -1,
	canMoveThread TINYINT(1) NOT NULL DEFAULT -1,
	canCopyThread TINYINT(1) NOT NULL DEFAULT -1,
	canMergeThread TINYINT(1) NOT NULL DEFAULT -1,
	canEditPost TINYINT(1) NOT NULL DEFAULT -1,
	canDeletePost TINYINT(1) NOT NULL DEFAULT -1,
	canReadDeletedPost TINYINT(1) NOT NULL DEFAULT -1,
	canDeletePostCompletely TINYINT(1) NOT NULL DEFAULT -1,
	canClosePost TINYINT(1) NOT NULL DEFAULT -1,
	canEnablePost TINYINT(1) NOT NULL DEFAULT -1,
	canMovePost TINYINT(1) NOT NULL DEFAULT -1,
	canCopyPost TINYINT(1) NOT NULL DEFAULT -1,
	canMergePost TINYINT(1) NOT NULL DEFAULT -1,
	canReplyClosedThread TINYINT(1) NOT NULL DEFAULT -1,
	canPinThread TINYINT(1) NOT NULL DEFAULT -1,
	canStartAnnouncement TINYINT(1) NOT NULL DEFAULT -1,
	canMarkAsDoneThread TINYINT(1) NOT NULL DEFAULT -1,
	KEY (userID),
	KEY (groupID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_structure;
CREATE TABLE wbb1_1_board_structure (
	parentID INT(10) NOT NULL DEFAULT 0,
	boardID INT(10) NOT NULL DEFAULT 0,
	position SMALLINT(5) NOT NULL DEFAULT 0,
	PRIMARY KEY (parentID, boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_subscription;
CREATE TABLE wbb1_1_board_subscription (
	userID INT(10) NOT NULL DEFAULT 0,
	boardID INT(10) NOT NULL DEFAULT 0,
	enableNotification TINYINT(1) NOT NULL DEFAULT 0,
	emails TINYINT(3) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_to_group;
CREATE TABLE wbb1_1_board_to_group (
	boardID INT(10) NOT NULL DEFAULT 0,
	groupID INT(10) NOT NULL DEFAULT 0,
	canViewBoard TINYINT(1) NOT NULL DEFAULT -1,
	canEnterBoard TINYINT(1) NOT NULL DEFAULT -1,
	canReadThread TINYINT(1) NOT NULL DEFAULT -1,
	canReadOwnThread TINYINT(1) NOT NULL DEFAULT -1,
	canStartThread TINYINT(1) NOT NULL DEFAULT -1,
	canReplyThread TINYINT(1) NOT NULL DEFAULT -1,
	canReplyOwnThread TINYINT(1) NOT NULL DEFAULT -1,
	canStartThreadWithoutModeration TINYINT(1) NOT NULL DEFAULT -1,
	canReplyThreadWithoutModeration TINYINT(1) NOT NULL DEFAULT -1,
	canStartPoll TINYINT(1) NOT NULL DEFAULT -1,
	canVotePoll TINYINT(1) NOT NULL DEFAULT -1,
	canRateThread TINYINT(1) NOT NULL DEFAULT -1,
	canUsePrefix TINYINT(1) NOT NULL DEFAULT -1,
	canUploadAttachment TINYINT(1) NOT NULL DEFAULT -1,
	canDownloadAttachment TINYINT(1) NOT NULL DEFAULT -1,
	canViewAttachmentPreview TINYINT(1) NOT NULL DEFAULT -1,
	canDeleteOwnPost TINYINT(1) NOT NULL DEFAULT -1,
	canEditOwnPost TINYINT(1) NOT NULL DEFAULT -1,
	canSetTags TINYINT(1) NOT NULL DEFAULT -1,
	canMarkAsDoneOwnThread TINYINT(1) NOT NULL DEFAULT -1,
	PRIMARY KEY (groupID, boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_to_user;
CREATE TABLE wbb1_1_board_to_user (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	canViewBoard TINYINT(1) NOT NULL DEFAULT -1,
	canEnterBoard TINYINT(1) NOT NULL DEFAULT -1,
	canReadThread TINYINT(1) NOT NULL DEFAULT -1,
	canReadOwnThread TINYINT(1) NOT NULL DEFAULT -1,
	canStartThread TINYINT(1) NOT NULL DEFAULT -1,
	canReplyThread TINYINT(1) NOT NULL DEFAULT -1,
	canReplyOwnThread TINYINT(1) NOT NULL DEFAULT -1,
	canStartThreadWithoutModeration TINYINT(1) NOT NULL DEFAULT -1,
	canReplyThreadWithoutModeration TINYINT(1) NOT NULL DEFAULT -1,
	canStartPoll TINYINT(1) NOT NULL DEFAULT -1,
	canVotePoll TINYINT(1) NOT NULL DEFAULT -1,
	canRateThread TINYINT(1) NOT NULL DEFAULT -1,
	canUsePrefix TINYINT(1) NOT NULL DEFAULT -1,
	canUploadAttachment TINYINT(1) NOT NULL DEFAULT -1,
	canDownloadAttachment TINYINT(1) NOT NULL DEFAULT -1,
	canViewAttachmentPreview TINYINT(1) NOT NULL DEFAULT -1,
	canDeleteOwnPost TINYINT(1) NOT NULL DEFAULT -1,
	canEditOwnPost TINYINT(1) NOT NULL DEFAULT -1,
	canSetTags TINYINT(1) NOT NULL DEFAULT -1,
	canMarkAsDoneOwnThread TINYINT(1) NOT NULL DEFAULT -1,
	PRIMARY KEY (userID, boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_board_visit;
CREATE TABLE wbb1_1_board_visit (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	lastVisitTime INT(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (boardID, userID),
	KEY (userID, lastVisitTime)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post;
CREATE TABLE wbb1_1_post (
	postID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	threadID INT(10) NOT NULL DEFAULT 0,
	parentPostID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	username VARCHAR(255) NOT NULL DEFAULT '',
	subject VARCHAR(255) NOT NULL DEFAULT '',
	message MEDIUMTEXT NOT NULL,
	time INT(10) NOT NULL DEFAULT 0,
	isDeleted TINYINT(1) NOT NULL DEFAULT 0,
	everEnabled TINYINT(1) NOT NULL DEFAULT 1,
	isDisabled TINYINT(1) NOT NULL DEFAULT 0,
	isClosed TINYINT(1) NOT NULL DEFAULT 0,
	editor VARCHAR(255) NOT NULL DEFAULT '',
	editorID INT(10) NOT NULL DEFAULT 0,
	lastEditTime INT(10) NOT NULL DEFAULT 0,
	editCount MEDIUMINT(7) NOT NULL DEFAULT 0,
	editReason TEXT,
	deleteTime INT(10) NOT NULL DEFAULT 0,
	deletedBy VARCHAR(255) NOT NULL DEFAULT '',
	deletedByID INT(10) NOT NULL DEFAULT 0,
	deleteReason TEXT,
	attachments SMALLINT(5) NOT NULL DEFAULT 0,
	pollID INT(10) NOT NULL DEFAULT 0,
	enableSmilies TINYINT(1) NOT NULL DEFAULT 1,
	enableHtml TINYINT(1) NOT NULL DEFAULT 0,
	enableBBCodes TINYINT(1) NOT NULL DEFAULT 1,
	showSignature TINYINT(1) NOT NULL DEFAULT 1,
	ipAddress VARCHAR(15) NOT NULL DEFAULT '',
	FULLTEXT KEY (subject, message),
	KEY (threadID, userID),
	KEY (threadID, isDeleted, isDisabled, time),
	KEY (userID),
	KEY (isDeleted),
	KEY (isDisabled),
	KEY (ipAddress),
	KEY (parentPostID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post_hash;
CREATE TABLE wbb1_1_post_hash (
	postID INT(10) NOT NULL,
	time INT(10) NOT NULL DEFAULT 0,
	messageHash VARCHAR(40) NOT NULL DEFAULT '',
	PRIMARY KEY (messageHash),
	KEY (postID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post_cache;
CREATE TABLE wbb1_1_post_cache (
	postID INT(10) NOT NULL DEFAULT 0,
	threadID INT(10) NOT NULL DEFAULT 0,
	messageCache MEDIUMTEXT NOT NULL,
	PRIMARY KEY (postID),
	KEY threadid (threadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_post_report;
CREATE TABLE wbb1_1_post_report (
	reportID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	postID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	report MEDIUMTEXT NOT NULL,
	reportTime INT(10) NOT NULL DEFAULT 0,
	UNIQUE KEY (postID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread;
CREATE TABLE wbb1_1_thread (
	threadID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	boardID INT(10) NOT NULL DEFAULT 0,
	languageID INT(10) NOT NULL DEFAULT 0,
	prefix VARCHAR(255) NOT NULL DEFAULT '',
	topic VARCHAR(255) NOT NULL DEFAULT '',
	firstPostID INT(10) NOT NULL DEFAULT 0,
	firstPostPreview TEXT,
	time INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	username VARCHAR(255) NOT NULL DEFAULT '',
	lastPostTime INT(10) NOT NULL DEFAULT 0,
	lastPosterID INT(10) NOT NULL DEFAULT 0,
	lastPoster VARCHAR(255) NOT NULL DEFAULT '',
	replies MEDIUMINT(7) NOT NULL DEFAULT 0,
	views MEDIUMINT(7) NOT NULL DEFAULT 0,
	ratings SMALLINT(5) NOT NULL DEFAULT 0,
	rating MEDIUMINT(7) NOT NULL DEFAULT 0,
	attachments SMALLINT(5) NOT NULL DEFAULT 0,
	polls SMALLINT(5) NOT NULL DEFAULT 0,
	isAnnouncement TINYINT(1) NOT NULL DEFAULT 0,
	isSticky TINYINT(1) NOT NULL DEFAULT 0,
	isDisabled TINYINT(1) NOT NULL DEFAULT 0,
	everEnabled TINYINT(1) NOT NULL DEFAULT 1,
	isClosed TINYINT(1) NOT NULL DEFAULT 0,
	isDeleted TINYINT(1) NOT NULL DEFAULT 0,
	movedThreadID INT(10) NOT NULL DEFAULT 0,
	movedTime INT(10) NOT NULL DEFAULT 0,
	deleteTime INT(10) NOT NULL DEFAULT 0,
	deletedBy VARCHAR(255) NOT NULL DEFAULT '',
	deletedByID INT(10) NOT NULL DEFAULT 0,
	deleteReason TEXT,
	isDone TINYINT(1) NOT NULL DEFAULT 0,
	KEY (firstPostID),
	KEY (movedThreadID),
	KEY (lastPostTime),
	KEY (languageID),
	KEY (boardID, isAnnouncement, isSticky, lastPostTime, isDeleted, isDisabled),
	KEY (isDeleted),
	KEY (isDisabled),
	KEY (userID),
	KEY (movedTime)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_similar;
CREATE TABLE wbb1_1_thread_similar (
	threadID INT(10) NOT NULL DEFAULT 0,
	similarThreadID INT(10) NOT NULL DEFAULT 0,
	UNIQUE KEY (threadID, similarThreadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_announcement;
CREATE TABLE wbb1_1_thread_announcement (
	boardID INT(10) NOT NULL DEFAULT '0',
	threadID INT(10) NOT NULL DEFAULT '0',
	PRIMARY KEY (boardID, threadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_rating;
CREATE TABLE wbb1_1_thread_rating (
	threadID INT(10) NOT NULL DEFAULT 0,
	rating INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	ipAddress VARCHAR(15) NOT NULL DEFAULT '',
	KEY (threadID, userID),
	KEY (threadID, ipAddress)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_subscription;
CREATE TABLE wbb1_1_thread_subscription (
	userID INT(10) NOT NULL DEFAULT 0,
	threadID INT(10) NOT NULL DEFAULT 0,
	enableNotification TINYINT(1) NOT NULL DEFAULT 0,
	emails TINYINT(3) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, threadID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_thread_visit;
CREATE TABLE wbb1_1_thread_visit (
	threadID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	lastVisitTime INT(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (threadID, userID),
	KEY (userID, lastVisitTime)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wbb1_1_user;
CREATE TABLE wbb1_1_user (
	userID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	boardLastVisitTime INT(10) NOT NULL DEFAULT 0,
	boardLastActivityTime INT(10) NOT NULL DEFAULT 0,
	boardLastMarkAllAsReadTime INT(10) NOT NULL DEFAULT 0,
	posts MEDIUMINT(7) NOT NULL DEFAULT 0,
	KEY (posts)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wbb1_1_user_last_post;
CREATE TABLE wbb1_1_user_last_post (
	userID INT(10) NOT NULL DEFAULT 0,
	postID INT(10) NOT NULL DEFAULT 0,
	time INT(10) NOT NULL DEFAULT 0,
	KEY (userID),
	KEY (postID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;