-- wbb1_1_board
@ALTER TABLE wbb1_1_board ADD imageNew VARCHAR(255) NOT NULL DEFAULT '';
@ALTER TABLE wbb1_1_board ADD imageShowAsBackground TINYINT(1) NOT NULL DEFAULT 1;
@ALTER TABLE wbb1_1_board ADD imageBackgroundRepeat ENUM('no-repeat', 'repeat-y', 'repeat-x', 'repeat') NOT NULL DEFAULT 'no-repeat';
@ALTER TABLE wbb1_1_board ADD prefixMode TINYINT(1) NOT NULL DEFAULT 0;
@ALTER TABLE wbb1_1_board ADD postSortOrder VARCHAR(4) NOT NULL DEFAULT '';
@ALTER TABLE wbb1_1_board ADD enableRating TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board ADD threadsPerPage SMALLINT(5) NOT NULL DEFAULT 0;
@ALTER TABLE wbb1_1_board ADD postsPerPage SMALLINT(5) NOT NULL DEFAULT 0;
@ALTER TABLE wbb1_1_board ADD searchable TINYINT(1) NOT NULL DEFAULT 1;
@ALTER TABLE wbb1_1_board ADD searchableForSimilarThreads TINYINT(1) NOT NULL DEFAULT 1;
@ALTER TABLE wbb1_1_board ADD ignorable TINYINT(1) NOT NULL DEFAULT 1;
@ALTER TABLE wbb1_1_board ADD enableMarkingAsDone TINYINT(1) NOT NULL DEFAULT 0;

-- wbb1_1_board_closed_category_to_admin
DROP TABLE IF EXISTS wbb1_1_board_closed_category_to_admin;
CREATE TABLE wbb1_1_board_closed_category_to_admin (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, boardID),
	KEY (boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- wbb1_1_board_closed_category_to_user
DROP TABLE IF EXISTS wbb1_1_board_closed_category_to_user;
CREATE TABLE wbb1_1_board_closed_category_to_user (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	isClosed TINYINT(1) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, boardID),
	KEY (boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- copy data
@INSERT INTO	wbb1_1_board_closed_category_to_user
SELECT			boardID, userID, isDisabled
FROM			wbb1_1_board_hidden_to_user;

-- drop obsolete table
DROP TABLE IF EXISTS wbb1_1_board_hidden_to_user;

DROP TABLE IF EXISTS wbb1_1_board_ignored_by_user;
CREATE TABLE wbb1_1_board_ignored_by_user (
	boardID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	PRIMARY KEY (userID, boardID),
	KEY (boardID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- wbb1_1_board_moderator
@ALTER TABLE wbb1_1_board_moderator ADD canReadDeletedThread TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_moderator ADD canReadDeletedPost TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_moderator ADD canMergePost TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_moderator ADD canMarkAsDoneThread TINYINT(1) NOT NULL DEFAULT -1;

-- wbb1_1_board_to_group
@ALTER TABLE wbb1_1_board_to_group ADD canReadOwnThread TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_to_group ADD canViewAttachmentPreview TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_to_group ADD canSetTags TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_to_group ADD canMarkAsDoneOwnThread TINYINT(1) NOT NULL DEFAULT -1;

-- wbb1_1_board_to_user
@ALTER TABLE wbb1_1_board_to_user ADD canReadOwnThread TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_to_user ADD canViewAttachmentPreview TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_to_user ADD canSetTags TINYINT(1) NOT NULL DEFAULT -1;
@ALTER TABLE wbb1_1_board_to_user ADD canMarkAsDoneOwnThread TINYINT(1) NOT NULL DEFAULT -1;

-- wbb1_1_post
@ALTER TABLE wbb1_1_post ADD editReason TEXT;
@ALTER TABLE wbb1_1_post ADD deleteReason TEXT;

-- wbb1_1_thread
@ALTER TABLE wbb1_1_thread ADD movedTime INT(10) NOT NULL DEFAULT 0;
@ALTER TABLE wbb1_1_thread ADD deleteReason TEXT;
@ALTER TABLE wbb1_1_thread ADD isDone TINYINT(1) NOT NULL DEFAULT 0;
ALTER TABLE wbb1_1_thread ADD KEY (movedTime);

-- wbb1_1_user
@ALTER TABLE wbb1_1_user ADD boardLastMarkAllAsReadTime INT(10) NOT NULL DEFAULT 0;

-- wbb1_1_user_last_post
DROP TABLE IF EXISTS wbb1_1_user_last_post;
CREATE TABLE wbb1_1_user_last_post (
	userID INT(10) NOT NULL DEFAULT 0,
	postID INT(10) NOT NULL DEFAULT 0,
	time INT(10) NOT NULL DEFAULT 0,
	KEY (userID),
	KEY (postID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- enable prefixes
UPDATE wbb1_1_board SET prefixMode = 2 WHERE prefixes <> '';
-- update boardLastMarkAllAsReadTime
UPDATE wbb1_1_user SET boardLastMarkAllAsReadTime = UNIX_TIMESTAMP();
-- reset post cache
DELETE FROM wbb1_1_post_cache;