-- warnings
DROP TABLE IF EXISTS wcf1_user_infraction_warning_to_user;
CREATE TABLE wcf1_user_infraction_warning_to_user (
	userWarningID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	objectID INT(10) NOT NULL DEFAULT 0,
	objectType VARCHAR(255) NOT NULL DEFAULT '',
	userID INT(10) NOT NULL DEFAULT 0,
	judgeID INT(10) NOT NULL DEFAULT 0,
	warningID INT(10) NOT NULL DEFAULT 0,
	time INT(10) NOT NULL DEFAULT 0,
	title VARCHAR(255) NOT NULL DEFAULT '',
	points SMALLINT(5) NOT NULL DEFAULT 0,
	expires INT(10) NOT NULL DEFAULT 0,
	reason MEDIUMTEXT,
	KEY (userID),
	KEY (judgeID),
	KEY (warningID),
	KEY (packageID, objectID, objectType)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- suspensions
DROP TABLE IF EXISTS wcf1_user_infraction_suspension_to_user;
CREATE TABLE wcf1_user_infraction_suspension_to_user (
	userSuspensionID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	suspensionID INT(10) NOT NULL DEFAULT 0,
	time INT(10) NOT NULL DEFAULT 0,
	expires INT(10) NOT NULL DEFAULT 0,
	revoked TINYINT(1) NOT NULL DEFAULT 0, 
	KEY (packageID),
	KEY (userID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- predefined warnings
DROP TABLE IF EXISTS wcf1_user_infraction_warning;
CREATE TABLE wcf1_user_infraction_warning (
	warningID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,	
	title VARCHAR(255) NOT NULL DEFAULT '',
	points SMALLINT(5) NOT NULL DEFAULT 0,
	expires INT(10) NOT NULL DEFAULT 0,
	KEY (packageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- predefined suspensions
DROP TABLE IF EXISTS wcf1_user_infraction_suspension;
CREATE TABLE wcf1_user_infraction_suspension (
	suspensionID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	title VARCHAR(255) NOT NULL DEFAULT '',
	points SMALLINT(5) NOT NULL DEFAULT 0,
	expires INT(10) NOT NULL DEFAULT 0,
	suspensionType VARCHAR(255) NOT NULL DEFAULT '',
	suspensionData MEDIUMTEXT,
	KEY (packageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- suspension types
DROP TABLE IF EXISTS wcf1_user_infraction_suspension_type;
CREATE TABLE wcf1_user_infraction_suspension_type (
	suspensionTypeID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	suspensionType VARCHAR(255) NOT NULL,
	classFile VARCHAR(255) NOT NULL,
	UNIQUE KEY (packageID, suspensionType)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- warning objects
DROP TABLE IF EXISTS wcf1_user_infraction_warning_object_type;
CREATE TABLE wcf1_user_infraction_warning_object_type (
	objectTypeID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL,
	objectType VARCHAR(255) NOT NULL,
	classFile VARCHAR(255) NOT NULL,
	UNIQUE KEY (packageID, objectType)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;