DROP TABLE IF EXISTS wcf1_rule_item;
CREATE TABLE wcf1_rule_item (
	ruleItemID int(10) UNSIGNED NOT NULL auto_increment,
	rulesetID int(10) UNSIGNED NOT NULL DEFAULT 0,
	parentRuleItem varchar(255) NOT NULL DEFAULT '',
	ruleItem varchar(255) NOT NULL DEFAULT '',
	showOrder int(10) UNSIGNED NOT NULL DEFAULT 0,
	options TEXT NULL,
	PRIMARY KEY (ruleItemID),
	KEY (rulesetID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_ruleset;
CREATE TABLE wcf1_ruleset (
	rulesetID int(10) NOT NULL auto_increment,
	name varchar(255) NOT NULL DEFAULT '',
	undeletable smallint(1) NOT NULL DEFAULT 0,
	lastUpdate int(10) NOT NULL DEFAULT 0,
	PRIMARY KEY(rulesetID),
	KEY (name),
	KEY (name, rulesetID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO wcf1_ruleset (rulesetID, name, undeletable) VALUES (1, 'wcf.rule.ruleset.standard', 1);

DROP TABLE IF EXISTS wcf1_ruleset_to_package;
CREATE TABLE wcf1_ruleset_to_package ( 
	rulesetID int(10) NOT NULL DEFAULT 0,
	packageID int(10) NOT NULL DEFAULT 0,
	UNIQUE KEY (rulesetID, packageID),
	KEY (packageID),
	KEY (rulesetID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_ruleset_to_user;
CREATE TABLE wcf1_ruleset_to_user (
	userID int(10) NOT NULL DEFAULT 0,
	rulesetID int(10) NOT NULL DEFAULT 0,
	UNIQUE KEY (userID, rulesetID),
	KEY (rulesetID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;