ALTER TABLE wcf1_user ADD pmTotalCount INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD pmUnreadCount INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD pmOutstandingNotifications INT(10) UNSIGNED NOT NULL default 0;


DROP TABLE IF EXISTS wcf1_pm;
CREATE TABLE wcf1_pm (
	pmID int(10) unsigned NOT NULL auto_increment,
	parentPmID int(10) unsigned NOT NULL default 0,
	userID int(10) unsigned NOT NULL default 0,
	username varchar(255) NOT NULL default '',
	subject varchar(255) NOT NULL default '',
	message mediumtext NOT NULL,
	time int(10) unsigned NOT NULL default 0,
	attachments int(10) unsigned NOT NULL default 0,
	enableSmilies tinyint(1) unsigned NOT NULL default 1,
	enableHtml tinyint(1) unsigned NOT NULL default 0,
	enableBBCodes tinyint(1) unsigned NOT NULL default 1,
	showSignature tinyint(1) unsigned NOT NULL default 0,
	saveInOutbox tinyint(1) unsigned NOT NULL default 0,
	isDraft tinyint(1) unsigned NOT NULL default 0,
	isViewedByAll tinyint(1) unsigned NOT NULL default 0,
	PRIMARY KEY (pmID),
	FULLTEXT KEY (subject,message),
	KEY (userID, saveInOutbox, pmID),
	KEY (userID, isDraft),
	KEY (parentPmID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wcf1_pm_folder;
CREATE TABLE wcf1_pm_folder (
	folderID int(10) unsigned NOT NULL auto_increment,
	userID int(10) unsigned NOT NULL default 0,
	folderName varchar(255) NOT NULL default '',
	color ENUM('yellow', 'red', 'blue', 'green', 'white') NOT NULL DEFAULT 'yellow',
	PRIMARY KEY  (folderID),
	KEY (userID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wcf1_pm_hash;
CREATE TABLE wcf1_pm_hash (
	pmID int(10) UNSIGNED NOT NULL auto_increment,
	time int(10) UNSIGNED NOT NULL DEFAULT 0,
	messageHash varchar(40) NOT NULL DEFAULT '',
	PRIMARY KEY  (messageHash),
	KEY (pmID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wcf1_pm_to_user;
CREATE TABLE wcf1_pm_to_user (
	pmID int(10) unsigned NOT NULL default 0,
	recipientID int(10) unsigned NOT NULL default 0,
	recipient varchar(255) NOT NULL default '',
	folderID int(10) unsigned NOT NULL default 0,
	isDeleted tinyint(1) unsigned NOT NULL default 0,
	isViewed int(10) unsigned NOT NULL default 0,
	isReplied tinyint(1) unsigned NOT NULL default 0,
	isForwarded tinyint(1) unsigned NOT NULL default 0,
	isBlindCopy tinyint(1) unsigned NOT NULL default 0,
	userWasNotified tinyint(1) unsigned NOT NULL default 0,
	PRIMARY KEY (pmID, recipientID),
	KEY (recipientID, isDeleted, folderID),
	KEY (pmID, isBlindCopy, recipient)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wcf1_pm_rule;
CREATE TABLE wcf1_pm_rule (
	ruleID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	userID INT(10) NOT NULL,
	title VARCHAR(255) NOT NULL DEFAULT '',
	logicalOperator ENUM('or', 'and', 'nor') NOT NULL DEFAULT 'or',
	ruleAction VARCHAR(255) NOT NULL,
	ruleDestination VARCHAR(255) NOT NULL DEFAULT '',
	disabled TINYINT(1) NOT NULL DEFAULT 0,
	KEY (userID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wcf1_pm_rule_condition;
CREATE TABLE wcf1_pm_rule_condition (
	ruleConditionID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	ruleID INT(10) NOT NULL,
	ruleConditionType VARCHAR(255) NOT NULL DEFAULT '',
	ruleCondition VARCHAR(255) NOT NULL DEFAULT '',
	ruleConditionValue VARCHAR(255) NOT NULL DEFAULT '',
	KEY (ruleID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wcf1_pm_rule_action;
CREATE TABLE wcf1_pm_rule_action (
	ruleActionID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	ruleAction VARCHAR(255) NOT NULL,
	ruleActionClassFile VARCHAR(255) NOT NULL,
	UNIQUE KEY (ruleAction)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS wcf1_pm_rule_condition_type;
CREATE TABLE wcf1_pm_rule_condition_type (
	ruleConditionTypeID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	ruleConditionType VARCHAR(255) NOT NULL,
	ruleConditionTypeClassFile VARCHAR(255) NOT NULL,
	UNIQUE KEY (ruleConditionType)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;