ALTER TABLE wcf1_user ADD rankID INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD userTitle varchar(255) NOT NULL default '';
ALTER TABLE wcf1_user ADD activityPoints INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD KEY (activityPoints);
ALTER TABLE wcf1_user ADD avatarID INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD gravatar VARCHAR(255) NOT NULL DEFAULT '';
ALTER TABLE wcf1_user ADD disableAvatar tinyint(1) NOT NULL default 0;
ALTER TABLE wcf1_user ADD disableAvatarReason text NULL;
ALTER TABLE wcf1_user ADD lastActivityTime INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD profileHits INT(10) UNSIGNED NOT NULL default 0;


-- user rank table
DROP TABLE IF EXISTS wcf1_user_rank;
CREATE TABLE wcf1_user_rank (
	rankID int(10) unsigned NOT NULL auto_increment,
	groupID int(10) unsigned NOT NULL default 0,
	neededPoints int(10) unsigned NOT NULL default 0,
	rankTitle varchar(255) NOT NULL default '',
	rankImage varchar(255) NOT NULL default '',
	repeatImage tinyint(3) NOT NULL DEFAULT 1,
	gender tinyint(1) NOT NULL default 0,
	PRIMARY KEY (rankID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- default ranks
INSERT INTO wcf1_user_rank (groupID, neededPoints, rankTitle, rankImage, repeatImage) VALUES
	(4, 0, 'wcf.user.rank.administrator', 'icon/userRankAdminS.png', 3),
	(5, 0, 'wcf.user.rank.moderator', 'icon/userRankAdminS.png', 1),
	(6, 0, 'wcf.user.rank.superModerator', 'icon/userRankAdminS.png', 2),
	(3, 0, 'wcf.user.rank.user0', '', 1),
	(3, 300, 'wcf.user.rank.user1', 'icon/userRank1S.png', 1),
	(3, 900, 'wcf.user.rank.user2', 'icon/userRank2S.png', 1),
	(3, 3000, 'wcf.user.rank.user3', 'icon/userRank3S.png', 1),
	(3, 9000, 'wcf.user.rank.user4', 'icon/userRank4S.png', 1),
	(3, 15000, 'wcf.user.rank.user5', 'icon/userRank5S.png', 1);


-- ignore list table
DROP TABLE IF EXISTS wcf1_user_blacklist;
CREATE TABLE wcf1_user_blacklist (
	userID int(10) unsigned NOT NULL,
	blackUserID int(10) unsigned NOT NULL,
	UNIQUE KEY (userID, blackUserID),
	KEY (blackUserID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- buddy list table
DROP TABLE IF EXISTS wcf1_user_whitelist;
CREATE TABLE wcf1_user_whitelist (
	userID int(10) unsigned NOT NULL,
	whiteUserID int(10) unsigned NOT NULL,
	confirmed TINYINT(1) NOT NULL DEFAULT 0,
	notified TINYINT(1) NOT NULL DEFAULT 0,
	time INT(10) NOT NULL DEFAULT 0,
	UNIQUE KEY (userID, whiteUserID),
	KEY (whiteUserID, confirmed),
	KEY (userID, confirmed)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- avatar table
DROP TABLE IF EXISTS wcf1_avatar;
CREATE TABLE wcf1_avatar (
	avatarID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	avatarCategoryID INT(10) NOT NULL DEFAULT 0,
	avatarName VARCHAR(255) NOT NULL DEFAULT '',
	avatarExtension VARCHAR(7) NOT NULL DEFAULT '',
	width SMALLINT(5) NOT NULL DEFAULT 0,
	height SMALLINT(5) NOT NULL DEFAULT 0,
	groupID INT(10) NOT NULL DEFAULT 0,
	neededPoints INT(10) NOT NULL DEFAULT 0,
	userID INT(10) NOT NULL DEFAULT 0,
	KEY (userID, groupID),
	KEY (avatarCategoryID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_avatar_category;
CREATE TABLE wcf1_avatar_category (
	avatarCategoryID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	title VARCHAR(255) NOT NULL DEFAULT '',
	showOrder MEDIUMINT(5) NOT NULL DEFAULT 0,
	groupID INT(10) NOT NULL DEFAULT 0,
	neededPoints INT(10) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- activity points table
DROP TABLE IF EXISTS wcf1_user_activity_point;
CREATE TABLE wcf1_user_activity_point (
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	packageID int(10) UNSIGNED NOT NULL DEFAULT 0,
	activityPoints int(10) UNSIGNED NOT NULL DEFAULT 0,
	UNIQUE KEY (userID, packageID),
	KEY (packageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- user profile menu
DROP TABLE IF EXISTS wcf1_user_profile_menu_item;
CREATE TABLE wcf1_user_profile_menu_item (
  menuItemID int(10) unsigned NOT NULL auto_increment,
  packageID int(10) unsigned NOT NULL default '0',
  menuItem varchar(255) NOT NULL default '',
  parentMenuItem varchar(255) NOT NULL default '',
  menuItemLink varchar(255) NOT NULL default '',
  menuItemIcon varchar(255) NOT NULL default '',
  showOrder int(10) NOT NULL default '0',
  permissions text NULL,
  options TEXT NULL,
  PRIMARY KEY (menuItemID),
  UNIQUE KEY (menuItem,packageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_user_profile_visitor;
CREATE TABLE wcf1_user_profile_visitor (
  ownerID INT(10) NOT NULL,
  userID INT(10) NOT NULL DEFAULT 0,
  time INT(10) NOT NULL DEFAULT 0,
  UNIQUE KEY (ownerID, userID),
  KEY (time)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;