ALTER TABLE wcf1_pm ADD KEY (userID, saveInOutbox, pmID);
@ALTER TABLE wcf1_pm_folder ADD color ENUM('yellow', 'red', 'blue', 'green', 'white') NOT NULL DEFAULT 'yellow';
ALTER TABLE wcf1_pm_to_user ADD KEY (pmID, isBlindCopy, recipient); 

DROP TABLE IF EXISTS wcf1_pm_rule;
CREATE TABLE wcf1_pm_rule (
	ruleID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	userID INT(10) NOT NULL,
	title VARCHAR(255) NOT NULL DEFAULT '',
	logicalOperator ENUM('or', 'and', 'nor') NOT NULL DEFAULT 'or',
	ruleAction VARCHAR(255) NOT NULL,
	ruleDestination VARCHAR(255) NOT NULL DEFAULT '',
	disabled TINYINT(1) NOT NULL DEFAULT 0,
	KEY (userID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_pm_rule_condition;
CREATE TABLE wcf1_pm_rule_condition (
	ruleConditionID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	ruleID INT(10) NOT NULL,
	ruleConditionType VARCHAR(255) NOT NULL DEFAULT '',
	ruleCondition VARCHAR(255) NOT NULL DEFAULT '',
	ruleConditionValue VARCHAR(255) NOT NULL DEFAULT '',
	KEY (ruleID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_pm_rule_action;
CREATE TABLE wcf1_pm_rule_action (
	ruleActionID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	ruleAction VARCHAR(255) NOT NULL,
	ruleActionClassFile VARCHAR(255) NOT NULL,
	UNIQUE KEY (ruleAction)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS wcf1_pm_rule_condition_type;
CREATE TABLE wcf1_pm_rule_condition_type (
	ruleConditionTypeID INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	packageID INT(10) NOT NULL DEFAULT 0,
	ruleConditionType VARCHAR(255) NOT NULL,
	ruleConditionTypeClassFile VARCHAR(255) NOT NULL,
	UNIQUE KEY (ruleConditionType)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- update pm attachments
UPDATE wcf1_attachment SET containerID = (SELECT packageID FROM wcf1_package WHERE package = 'com.woltlab.wcf.data.message.pm') WHERE containerType = 'pm';